#!/usr/bin/env python3
#
# Copyright (C) 2020 IOFactory
#
# Author: Luis Galdos <luis.galdos@iofactory.es>
#

from PyQt5.QtWidgets import QDialog

from ui.ui_about import Ui_About

try:
    from version import APP_VERSION
except:
    APP_VERSION = "---"


class AboutDialog(QDialog, Ui_About):
    def __init__(self, parent):
        QDialog.__init__(self, parent)
        Ui_About.setupUi(self, self)

        self.labelVersion.setText("Versión " + APP_VERSION)
